#!/usr/bin/bash
# Small wrapper for SGLBackup to create Oracle Backups via CRON and have also the required
# environment settings correctly set before starting the script.
# Example cron entry:
# 46 11 * * * cd /export/home/siegel/SGLBackup; ./orawrapper.sh --backupset=10,11 >/dev/null
###################################################################################################
# $Id: orawrapper.sh,v 1.1 2006/06/05 09:56:15 siegel Exp $
###################################################################################################

SGLBACKUP=/export/home/siegel/SGLBackup/SGLBackup.pl
CONFIG=/export/home/siegel/SGLBackup/config.ini

###################################################################################################
# First source the Oracle environment variables:

export ORACLE_BASE=/opt/oracle
export ORACLE_HOME=$ORACLE_BASE/product/9iR2
export ORACLE_DOC=$ORACLE_BASE/documentation
export ORA_NLS33=$ORACLE_HOME/ocommon/nls/admin/data
export ORACLE_SID=NETRA
export NLS_LANG=AMERICAN_AMERICA.WE8ISO8859P15

# Now start the script and pass all parameters given to this script directly to SGLBackup:

$SGLBACKUP --config=$CONFIG $1

# EOF
